#接入渠道
inbound_channel:
  values:
  - channelType: inbound
    id: testJson
    values:
    - port: 9000
      id: testJsonConnector
      started: true
      type: netty
      protocolType: https
      contentType: json
      #twoWay: false单向认证, 网关接入渠道作为服务端不去要求校验客户端证书,并提供自己的证书
      params: {keyStorePath: ./cert/server.keystore, keyStorePassword: d633200578, twoWay: false}
    name: 总行接入渠道
    started: true

#接出渠道
outbound_channel:
  values:
  - channelType: outbound
    available: true
    id: jsonChannel
    values:
    - id: ccc
      protocolType: http
      started: true
      contentType: json
      type: netty
      uri: http://localhost:8888
    name: aa
    started: true

router:
  defaultRouter: jsonChannel
  available: true
  pipeType: direct
  inbound: true
 
id: test_gateway
name: 测试网关
started: true